> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Export



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json post /v1/transactions/exports
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/transactions/exports:
    post:
      tags:
        - transaction exports
      summary: Start Export
      operationId: start_export_v1_transactions_exports_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartExport'
        required: true
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    StartExport:
      properties:
        updated_since:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated Since
        request_id:
          type: string
          format: uuid
          title: Request Id
      additionalProperties: false
      type: object
      required:
        - request_id
      title: StartExport
    ExportStatus:
      properties:
        export_id:
          type: string
          format: uuid
          title: Export Id
        job_id:
          type: string
          format: uuid
          title: Job Id
        status:
          type: string
          enum:
            - queued
            - running
            - completed
            - failed
            - cancelling
            - cancelled
            - expired
          title: Status
        rows_written:
          type: integer
          title: Rows Written
        total_rows:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Rows
        expires_at:
          type: string
          format: date-time
          title: Expires At
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      additionalProperties: false
      type: object
      required:
        - export_id
        - job_id
        - status
        - rows_written
        - total_rows
        - expires_at
      title: ExportStatus
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.